Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class LayerConfig

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.widgets.LayerConfig

    public class LayerConfig

extends BaseConfig

Configuration class for a Layer.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`LayerConfig()`

Method Summary
`void` | `setCls(java.lang.String cls)` CSS class to add to the element.
`void` | `setConstrain(boolean constrain)` False to disable constrain to viewport (defaults to true)
`void` | `setDomConfig(DomConfig domConfig)` `DomHelper` object config to create element with (defaults to {tag: "div", cls: "x-layer"}).
`void` | `setShadow(boolean shadow)` True to create a shadow element with default class "x-layer-shadow".
`void` | `setShadowCls(java.lang.String shadowCls)` Pass a string with a shadow CSS class name.
`void` | `setShadowOffest(int shadowOffest)` Number of pixels to offset the shadow (defaults to 3).
`void` | `setShim(boolean shim)` False to disable the iframe shim in browsers which need one (defaults to true).
`void` | `setZindex(int zindex)` Starting z-index (defaults to 11000).

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayerConfig

    public LayerConfig()

Method Detail

### setCls

    public void setCls(java.lang.String cls)

  CSS class to add to the element.

  Parameters:
    `cls` - the CSS class

### setConstrain

    public void setConstrain(boolean constrain)

  False to disable constrain to viewport (defaults to true)

  Parameters:
    `constrain` - true to constrain

### setDomConfig

    public void setDomConfig(DomConfig domConfig)

  `DomHelper` object config to create element with (defaults to {tag: "div", cls: "x-layer"}).

  Parameters:
    `domConfig` - the dom config

### setShadow

    public void setShadow(boolean shadow)

  True to create a shadow element with default class "x-layer-shadow". False turns off the shadow.

  Parameters:
    `shadow` - true to create shadow

### setShadowCls

    public void setShadowCls(java.lang.String shadowCls)

  Pass a string with a shadow CSS class name.

  Parameters:
    `shadowCls` - shadow class

### setShadowOffest

    public void setShadowOffest(int shadowOffest)

  Number of pixels to offset the shadow (defaults to 3).

  Parameters:
    `shadowOffest` - offset in pixels

### setShim

    public void setShim(boolean shim)

  False to disable the iframe shim in browsers which need one (defaults to true).

  Parameters:
    `shim` - false to disable shim

### setZindex

    public void setZindex(int zindex)

  Starting z-index (defaults to 11000).

  Parameters:
    `zindex` - the z-index

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD